Categories:
  - Science & Education
License: GPL-3.0-only
AuthorName: Naval Alcalá
AuthorEmail: naval@europe.com
AuthorWebSite: http://www.naval.cat/
SourceCode: https://github.com/aeri/Nihonoari-App
IssueTracker: https://github.com/aeri/Nihonoari-App/issues
Changelog: https://github.com/aeri/Nihonoari-App/releases

AutoName: Nihonoari

RepoType: git
Repo: https://github.com/aeri/Nihonoari-App

Builds:
  - versionName: 1.2.1
    versionCode: 4
    commit: v1.2.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.15.21
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
    build: $$flutter$$/bin/flutter build apk

  - versionName: 1.3.0
    versionCode: 5
    commit: v1.3.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.15.21
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
    build: $$flutter$$/bin/flutter build apk

  - versionName: 1.4.0
    versionCode: 6
    commit: v1.4.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.15.21
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
    build: $$flutter$$/bin/flutter build apk

  - versionName: 1.5.0
    versionCode: 7
    commit: v1.5.0
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@v1.15.21
    prebuild:
      - echo 'android.applicationVariants.all { variant -> variant.outputs.all { output
        -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
      - $$flutter$$/bin/flutter config --no-analytics
    build: $$flutter$$/bin/flutter build apk

  - versionName: 1.6.1
    versionCode: 9
    commit: d2e1ce6113155afe27004fa8e215cf6c6eb236d9
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    rm:
      - ios
      - android/app/proguard-rules.pro
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.6.1
CurrentVersionCode: 9
